Page MenuHomePhabricator

[Task] use generic composer based Jenkins jobs for WikibaseJavaScriptApi CI
Closed, ResolvedPublic

Description

composer install (or update) needs to be run for WikibaseJavaScriptApi jenkins jobs, so that dependencies get installed.

I am not sure exactly the best way to do that... add "composer-update" as a builder in zuul/layout.yml or something else

Details

Related Gerrit Patches:

Event Timeline

aude created this task.May 28 2015, 1:21 PM
aude raised the priority of this task from to Medium.
aude updated the task description. (Show Details)
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2015, 1:21 PM

The job mwext-WikibaseJavaScriptApi-qunit was overridden some time ago to run composer and thus working.
Do you mean the job mwext-WikibaseJavaScriptApi-testextension-zend job which should be made to run the resource tests from core?

JanZerebecki renamed this task from Run composer install for WikibaseJavaScriptApi jenkins jobs to [Task] use composer based phpunit Jenkins job for WikibaseJavaScriptApi CI.Sep 28 2015, 2:35 PM
JanZerebecki set Security to None.

There is now a generic job for phpunit that runs composer. We should be able to just use that as is for this repo.
Also the custom qunit job for this repo can be replaced with the generic composer qunit job.

JanZerebecki renamed this task from [Task] use composer based phpunit Jenkins job for WikibaseJavaScriptApi CI to [Task] use generic composer based Jenkins jobs for WikibaseJavaScriptApi CI.Sep 28 2015, 2:37 PM
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.

Now that I said that I remember that this repo is actually more like a composer component than a Mediawiki extension, see T109171 for the details. But for now it should work in CI as an extension as it has an entry point.

Paladox added a subscriber: Paladox.Oct 4 2015, 8:43 PM

Would using the composer-test test work.

If this were a normal php composer component, that were the way to go. But this is a javascript library that depends on ResourceLoader packaged as a composer component. So its primary CI need is running qunit tests, the secondary one is running the tests from core that check ResourceLoader definitions which are run during the phpunit extension test suite. So, no I meant using the jobs mwext-testextension-zend-composer, mwext-testextension-hhvm-composer instead of their non composer variant.

So all that needs to be added is

mwext-testextension-zend-composer

and

mwext-testextension-hhvm-composer

test would that require a new template with both of those test or how can you use them in ci file since template: only works for template.

Change 243597 had a related patch set uploaded (by Paladox):
[WikibaseJavaScriptApi] Update jenkins tests

https://gerrit.wikimedia.org/r/243597

Change 243597 abandoned by Paladox:
[WikibaseJavaScriptApi] Update jenkins tests

https://gerrit.wikimedia.org/r/243597

JanZerebecki moved this task from Proposed to Review on the Wikidata-Sprint-2016-02-16 board.
adrianheine closed this task as Resolved.Feb 23 2016, 8:59 AM
adrianheine moved this task from Review to Done on the Wikidata-Sprint-2016-02-16 board.